object DataModule2: TDataModule2
  OldCreateOrder = False
  Left = 599
  Top = 196
  Height = 380
  Width = 385
  object cnNorthwind: TSQLConnection
    DriverName = 'MSSQL'
    GetDriverFunc = 'getSQLDriverMSSQL'
    LibraryName = 'dbexpmss.dll'
    LoginPrompt = False
    Params.Strings = (
      'HostName=localhost'
      'DataBase=Northwind'
      'User_Name=sa'
      'Password='
      'BlobSize=-1'
      'ErrorResourceFile='
      'LocaleCode=0000'
      'MSSQL TransIsolation=ReadCommited'
      'OS Authentication=False')
    VendorLib = 'oledb'
    Connected = True
    Left = 32
    Top = 16
  end
  object sdsOrders: TSQLDataSet
    CommandText = 'SELECT * FROM Orders'
    MaxBlobSize = -1
    Params = <>
    SQLConnection = cnNorthwind
    Left = 104
    Top = 16
  end
  object sdsOrderDetails: TSQLDataSet
    CommandText = 'SELECT * FROM "Order Details"'
    MaxBlobSize = -1
    Params = <
      item
        DataType = ftInteger
        Name = 'OrderID'
        ParamType = ptInput
        Value = 10248
      end>
    SQLConnection = cnNorthwind
    Left = 44
    Top = 96
  end
  object dpsOrders: TDataSetProvider
    DataSet = sdsOrders
    Left = 164
    Top = 16
  end
  object dspOrderDetails: TDataSetProvider
    DataSet = sdsOrderDetails
    Left = 136
    Top = 92
  end
  object cdsOrders: TClientDataSet
    Active = True
    Aggregates = <>
    Params = <>
    ProviderName = 'dpsOrders'
    Left = 236
    Top = 16
    object cdsOrdersOrderID: TIntegerField
      FieldName = 'OrderID'
      Required = True
    end
    object cdsOrdersCustomerID: TStringField
      FieldName = 'CustomerID'
      Size = 5
    end
    object cdsOrdersEmployeeID: TIntegerField
      FieldName = 'EmployeeID'
    end
    object cdsOrdersOrderDate: TSQLTimeStampField
      FieldName = 'OrderDate'
    end
    object cdsOrdersRequiredDate: TSQLTimeStampField
      FieldName = 'RequiredDate'
    end
    object cdsOrdersShippedDate: TSQLTimeStampField
      FieldName = 'ShippedDate'
    end
    object cdsOrdersShipVia: TIntegerField
      FieldName = 'ShipVia'
    end
    object cdsOrdersFreight: TFMTBCDField
      FieldName = 'Freight'
      Precision = 19
      Size = 4
    end
    object cdsOrdersShipName: TStringField
      FieldName = 'ShipName'
      Size = 40
    end
    object cdsOrdersShipAddress: TStringField
      FieldName = 'ShipAddress'
      Size = 60
    end
    object cdsOrdersShipCity: TStringField
      FieldName = 'ShipCity'
      Size = 15
    end
    object cdsOrdersShipRegion: TStringField
      FieldName = 'ShipRegion'
      Size = 15
    end
    object cdsOrdersShipPostalCode: TStringField
      FieldName = 'ShipPostalCode'
      Size = 10
    end
    object cdsOrdersShipCountry: TStringField
      FieldName = 'ShipCountry'
      Size = 15
    end
    object cdsOrdersCustomerName: TStringField
      FieldKind = fkLookup
      FieldName = 'CustomerName'
      LookupDataSet = cdsCustomers
      LookupKeyFields = 'CustomerID'
      LookupResultField = 'CompanyName'
      KeyFields = 'CustomerID'
      Size = 30
      Lookup = True
    end
  end
  object cdsOrderDetails: TClientDataSet
    Active = True
    Aggregates = <>
    IndexFieldNames = 'OrderID'
    MasterFields = 'OrderID'
    MasterSource = dsOrders
    PacketRecords = 0
    Params = <>
    ProviderName = 'dspOrderDetails'
    Left = 220
    Top = 92
    object cdsOrderDetailsOrderID: TIntegerField
      FieldName = 'OrderID'
      Required = True
    end
    object cdsOrderDetailsProductID: TIntegerField
      FieldName = 'ProductID'
      Required = True
    end
    object cdsOrderDetailsUnitPrice: TFMTBCDField
      FieldName = 'UnitPrice'
      Required = True
      Precision = 19
      Size = 4
    end
    object cdsOrderDetailsQuantity: TSmallintField
      FieldName = 'Quantity'
      Required = True
    end
    object cdsOrderDetailsDiscount: TFloatField
      FieldName = 'Discount'
      Required = True
    end
    object cdsOrderDetailsProductName: TStringField
      FieldKind = fkLookup
      FieldName = 'ProductName'
      LookupDataSet = cdsProducts
      LookupKeyFields = 'ProductID'
      LookupResultField = 'ProductName'
      KeyFields = 'ProductID'
      Size = 40
      Lookup = True
    end
  end
  object dsOrders: TDataSource
    DataSet = cdsOrders
    Left = 304
    Top = 16
  end
  object dsOrderDetails: TDataSource
    DataSet = cdsOrderDetails
    Left = 300
    Top = 92
  end
  object sdsCustomers: TSQLDataSet
    CommandText = 'SELECT CustomerID, CompanyName FROM Customers'
    MaxBlobSize = -1
    Params = <>
    SQLConnection = cnNorthwind
    Left = 28
    Top = 164
    object sdsCustomersCustomerID: TStringField
      FieldName = 'CustomerID'
      Required = True
      Size = 5
    end
    object sdsCustomersCompanyName: TStringField
      FieldName = 'CompanyName'
      Required = True
      Size = 40
    end
  end
  object sdsProducts: TSQLDataSet
    CommandText = 'SELECT ProductID, ProductName FROM Products'
    MaxBlobSize = -1
    Params = <>
    SQLConnection = cnNorthwind
    Left = 36
    Top = 232
  end
  object dspProducts: TDataSetProvider
    DataSet = sdsProducts
    Left = 104
    Top = 232
  end
  object dspCustomers: TDataSetProvider
    DataSet = sdsCustomers
    Left = 124
    Top = 160
  end
  object dsCustomers: TDataSource
    DataSet = cdsCustomers
    Left = 288
    Top = 160
  end
  object dsProducts: TDataSource
    DataSet = cdsProducts
    Left = 284
    Top = 228
  end
  object cdsCustomers: TClientDataSet
    Active = True
    Aggregates = <>
    Params = <>
    ProviderName = 'dspCustomers'
    Left = 216
    Top = 160
  end
  object cdsProducts: TClientDataSet
    Active = True
    Aggregates = <>
    Params = <>
    ProviderName = 'dspProducts'
    Left = 204
    Top = 232
  end
end
