unit Unit2;

interface

uses
  SysUtils, Classes, DBXpress, FMTBcd, DB, DBClient, Provider, SqlExpr;

type
  TDataModule2 = class(TDataModule)
    cnNorthwind: TSQLConnection;
    sdsOrders: TSQLDataSet;
    sdsOrderDetails: TSQLDataSet;
    dpsOrders: TDataSetProvider;
    dspOrderDetails: TDataSetProvider;
    cdsOrders: TClientDataSet;
    cdsOrdersOrderID: TIntegerField;
    cdsOrdersCustomerID: TStringField;
    cdsOrdersEmployeeID: TIntegerField;
    cdsOrdersOrderDate: TSQLTimeStampField;
    cdsOrdersRequiredDate: TSQLTimeStampField;
    cdsOrdersShippedDate: TSQLTimeStampField;
    cdsOrdersShipVia: TIntegerField;
    cdsOrdersFreight: TFMTBCDField;
    cdsOrdersShipName: TStringField;
    cdsOrdersShipAddress: TStringField;
    cdsOrdersShipCity: TStringField;
    cdsOrdersShipRegion: TStringField;
    cdsOrdersShipPostalCode: TStringField;
    cdsOrdersShipCountry: TStringField;
    cdsOrderDetails: TClientDataSet;
    cdsOrderDetailsOrderID: TIntegerField;
    cdsOrderDetailsProductID: TIntegerField;
    cdsOrderDetailsUnitPrice: TFMTBCDField;
    cdsOrderDetailsQuantity: TSmallintField;
    cdsOrderDetailsDiscount: TFloatField;
    dsOrders: TDataSource;
    dsOrderDetails: TDataSource;
    sdsCustomers: TSQLDataSet;
    sdsCustomersCustomerID: TStringField;
    sdsCustomersCompanyName: TStringField;
    sdsProducts: TSQLDataSet;
    dspProducts: TDataSetProvider;
    dspCustomers: TDataSetProvider;
    dsCustomers: TDataSource;
    dsProducts: TDataSource;
    cdsCustomers: TClientDataSet;
    cdsProducts: TClientDataSet;
    cdsOrdersCustomerName: TStringField;
    cdsOrderDetailsProductName: TStringField;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataModule2: TDataModule2;

implementation

{$R *.dfm}

end.
